org.apache.hc.client5.http.protocol

## Class HttpResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hc.client5.http.protocol.ClientProtocolException
        - - org.apache.hc.client5.http.protocol.HttpResponseException

All Implemented Interfaces:
  Serializable

    public class HttpResponseException
    extends ClientProtocolException

Signals a non 2xx HTTP response.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpResponseException(int statusCode, String s)`

### Method Summary

Methods
`int` `getStatusCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpResponseException

    public HttpResponseException(int statusCode,
                         String s)

### Method Detail

#### getStatusCode

    public int getStatusCode()